mia-2dimagefilter
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagefilter

#### Sysnopis:

`mia-2dimagefilter` {-i `io`} {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/filter` ...]

#### Description:

This program runs a series filters on a given input image. The filters are given as extra parameters on the command line and Ware run in the order in which they are given. To obtain a list of available filters you may run 'mia-plugin-help filter/2dimage' from the command line

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output image(s) that have been filtered. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a kmeans classification of 5 classes on input.png and then a binarization of the 4th class and store the result in result.png

    mia-2dimagefilter -i input.png -o result.png kmeans:c=5 binarize:min=4,max=4

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimagecreator | Home | mia-2dimagefilterstack